Package org.eclipse.net4j.util.ref

## Class CleanableReferenceQueue<T>

- java.lang.Object
- - java.lang.ref.ReferenceQueue<T>
  - - org.eclipse.net4j.util.ref.CleanableReferenceQueue<T>

-     public abstract class CleanableReferenceQueue<T>
      extends java.lang.ref.ReferenceQueue<T>

  Since:
    3.6
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ALL_WORK_PER_POLL` |
    `static int` | `DEFAULT_MAX_WORK_PER_POLL` |
    `static int` | `DEFAULT_POLL_MILLIS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CleanableReferenceQueue()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clean()` |
    `protected abstract void` | `cleanReference​(java.lang.ref.Reference<? extends T> reference)` |
    `protected abstract java.lang.ref.Reference<T>` | `createReference​(T object)` |
    `int` | `getMaxWorkPerPoll()` |
    `long` | `getPollMillis()` |
    `void` | `register​(T object)` |
    `void` | `setMaxWorkPerPoll​(int maxWorkPerPoll)` |
    `void` | `setPollMillis​(long pollMillis)` |

    - ### Methods inherited from class java.lang.ref.ReferenceQueue

      `poll, remove, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_WORK_PER_POLL

          public static final int ALL_WORK_PER_POLL

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_WORK_PER_POLL

          public static final int DEFAULT_MAX_WORK_PER_POLL

      See Also:
        Constant Field Values

    - #### DEFAULT_POLL_MILLIS

          public static final int DEFAULT_POLL_MILLIS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CleanableReferenceQueue

          public CleanableReferenceQueue()

  - ### Method Detail

    - #### getPollMillis

          public final long getPollMillis()

    - #### setPollMillis

          public final void setPollMillis​(long pollMillis)

    - #### getMaxWorkPerPoll

          public final int getMaxWorkPerPoll()

    - #### setMaxWorkPerPoll

          public final void setMaxWorkPerPoll​(int maxWorkPerPoll)

    - #### register

          public final void register​(T object)

    - #### clean

          public final void clean()

    - #### cleanReference

          protected abstract void cleanReference​(java.lang.ref.Reference<? extends T> reference)

    - #### createReference

          protected abstract java.lang.ref.Reference<T> createReference​(T object)